#!/bin/bash

set -eu

mkdir -p /app/data/data /run/minio/config /run/minio/certs

echo "==> Changing ownership"
chown -R cloudron:cloudron /app/data

# the --config-dir is deprecated and not used. but without it, minio will try to create $HOME/.minio :/ same for --certs-dir
echo "==> Starting minio"
exec /usr/local/bin/gosu cloudron:cloudron /app/code/minio --certs-dir /run/minio/certs --config-dir /run/minio/config --quiet server --address :8000 /app/data/data


